//ajax提示框功能
var Obj=''
document.onmouseup=MUp
document.onmousemove=MMove

function MDown(Object){
Obj=Object.id
document.all(Obj).setCapture()
pX=event.x-document.all(Obj).style.pixelLeft;
pY=event.y-document.all(Obj).style.pixelTop;
}

function MMove(){
if(Obj!=''){
  document.all(Obj).style.left=event.x-pX;
  document.all(Obj).style.top=event.y-pY;
  }
}

function MUp(){
if(Obj!=''){
  document.all(Obj).releaseCapture();
  Obj='';
  }
}

function SetWinHeight(obj)
{
	var win=obj;
	if (document.getElementById)
	{
		if (win && !window.opera)
		{
			if (win.contentDocument && win.contentDocument.body.offsetHeight) 
				win.height = win.contentDocument.body.offsetHeight; 
			else if(win.Document && win.Document.body.scrollHeight)
				win.height = win.Document.body.scrollHeight;
		}
	}
}

function openWithIframe(tit,url,w,h,product_ID,pageid){
massage_box.style.left =50;
massage_box.style.top =50;
massage_box.style.screenx = (screen.width - w) / 2;//仅适用于Netscape
massage_box.style.screeny = (screen.height - h) / 2-50;//仅适用于Netscape
massage_box.style.width = w+"px";
//massage_box.style.height = h+"px";
massage_box.product_ID=product_ID;
massage_box.pageid=pageid;
pop_title.innerHTML="<strong>"+tit+"</strong>";
mask.style.display='';
massage_box.style.display=''
var popiframe='<iframe src="'+url+'" width="'+(w-12)+'px"  height="'+(h-37)+'px" frameborder=0 scrolling=no onload="Javascript:SetWinHeight(this)"></iframe>';
pop_iframe.innerHTML=popiframe;
}
function closeWithIframe(product_ID,pageid){
massage_box.style.display="none";
mask.style.display="none";
location.href = pageid;
//window.opener.location.reload();
}

//document.write('<div id="massage_box" style="background:#003c78;position:absolute; FILTER: z-index:100;display:none">');
//document.write('<div style="border-width:1 1 3 1; width:100%; height:100%; background:#3d8fe3; color:#003c78; font-size:14px; line-height:150%">');
//document.write('<div onmousedown=MDown(massage_box) style="background:#003c78; height:20px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:14px;color:#fff;cursor:move;padding:0 0 4px 0">');
//document.write('<div style="display:inline; width:300px; position:absolute;padding:3px 0 0 5px" id=pop_title></div>');
//document.write('<span onClick="closeWithIframe(massage_box.product_ID,massage_box.pageid)" style="float:right; display:inline; cursor:hand;padding:5px;font-size:14px"><img src="../Images/Close.png"></span>');
//document.write('</div>');
//document.write('<div style="padding:5px" id=pop_iframe></div>');
//document.write('</div>');
//document.write('</div>');
//document.write('<div id="mask" style="position:absolute; top:0; left:0; width:expression(body.scrollWidth); background:#fff1e4; filter:ALPHA(opacity=60); z-index:1; display:none;height:2600px;"></div>');

document.write('<div id="massage_box" style="position:absolute;z-index:100;display:none">');
document.write('<div style="border-width:1 1 3 1; width:100%; height:100%; background:#5ca4ee; color:#003c78; font-size:12px; line-height:150%">');
document.write('<div onmousedown=MDown(massage_box) style="background:#3d8fe3; height:20px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:14px;color:#fff;cursor:move;padding:0 0 4px 0">');
document.write('<div style="display:inline; width:300px; position:absolute;padding:3px 0 0 5px" id=pop_title></div>');
document.write('<span onClick="closeWithIframe(massage_box.product_ID,massage_box.pageid)" style="float:right; display:inline; cursor:hand;padding:5px;font-size:14px"><img src="../Images/Close.png"></span>');
document.write('</div>');
document.write('<div style="padding:5px" id=pop_iframe></div>');
document.write('</div>');
document.write('</div>');
document.write('<div id="mask" style="position:absolute; top:0; left:0; width:expression(body.scrollWidth); background:#fff1e4; filter:ALPHA(opacity=60); z-index:1; display:none;height:2600px;"></div>');

